Skip to main content

invalid launch configuration

3 replies [Last post]
gargkapil2008
Offline
Joined: 2010-12-28
Points: 0

i got follwing error:

" invalid launch configuration: all Xlets must be associated with the same RI bundle.this error may be generated if RI bundle is missing.."
please give suggestions.

Reply viewing options

Select your preferred way to display the comments and click "Save settings" to activate your changes.
reddit
Offline
Joined: 2011-01-26
Points: 0

To fix this you need to edit your RIBundleManifest.xml <location> tag.
Mine used to be "<location>$(TWB_TOOLROOT)</location>" but I deleted "$(TWB_TOOLROOT)" and replaced it with the absolute path as defined in your setEnv file.

EDIT: Eclipse 3.4.2 Ganymede SR2
RI 1.1.4 Rev 14114

csweeney
Offline
Joined: 2009-04-11
Points: 0

I need a little more information:
- I presume you are using the Tru2Way Workbench/SDK (the only time I've seen this error message).
- What version of Eclipse, and what version of the SDK are you using?
You might try upgrading to the latest version of eclipse and the SDK. We made many changes/bug fixes in this area.

gargkapil2008
Offline
Joined: 2010-12-28
Points: 0

eclipse Version: 3.4.2
and ri bundle 1.1.4
also tried 3.6 same problem...
how to run sample google map service(available on this site) on workbench ...